Bug 119813 - port games/iourbanterror auto-download broken on -current
Summary: port games/iourbanterror auto-download broken on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-20 00:30 UTC by Nerius Landys
Modified: 2008-01-29 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.83 KB, patch)
2008-01-20 00:30 UTC, Nerius Landys
no flags Details | Diff
patch-code__client__cl_curl.h (335 bytes, application/octet-stream)
2008-01-27 22:24 UTC, Nerius Landys
no flags Details
patch-Makefile (10.65 KB, application/octet-stream)
2008-01-27 22:24 UTC, Nerius Landys
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nerius Landys 2008-01-20 00:30:01 UTC
USE_CURL is never set by the Makefile when building on FreeBSD.  Have a look at [the patched or unpatched] file ioUrbanTerrorClientSource/Makefile within the distfile ioUrbanTerrorSource_2007_12_20.zip.  For the FreeBSD build in that file, USE_CURL is never set as a build variable.  It _is_ set for Linux and other OS's.

When installing the iourbanterror port, one is presented with a config menu when beginning the build of the port.  Two of the options in that build config menu are "Enable curl support" and "Enable dynamic loading of curl".  However because of the Makefile mentioned above these settings never have any effect on the build.

I have a couple of patches that honor the "Enable curl support" config option.  I am able to build UrbanTerror with curl support, and the auto-download now works flawlessly.  However, I was not able to get the "Enable dynamic loading of curl" to work, and so I've set this to be disabled by default, and I've added a text "(broken?)" as a description to this option.  I'm not familiar enough with build processes to fix this problem.  Perhaps this option might be taken out of the config options altogether.

P.S. This is a really great game and I recommend it to everyone.  Large player base.

Fix: I'm attaching patches to two revised files:
/usr/ports/games/iourbanterror/Makefile
/usr/ports/games/iourbanterror/files/patch-Makefile

I don't take diffs often, so if I made a mistake in the diff I can try again.  Contact me.  I also have the modified files "Makefile" and "patch-Makefile"

Patch attached with submission follows:
How-To-Repeat: Build and install games/iourbanterror.  Choose whatever build options (won't make a difference).  Go to a server with a map that does not exist in the default install.  (An example of a map that does not exist in the default install is ut4_uberjumps_beta3.)  Attempt the auto-download of this map.  It will fail with the message "Unknown error in auto-download".  If one examines the source code in cl_main.c, one sees that the USE_CURL preprocessor variable was probably not set.  USE_CURL is NEVER set because of the Makefile problem.
Comment 1 Edwin Groothuis freebsd_committer 2008-01-20 00:30:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alejandro Pulver freebsd_committer 2008-01-27 20:04:55 UTC
State Changed
From-To: open->feedback

Ask more information to the submitter.
Comment 3 Alejandro Pulver freebsd_committer 2008-01-27 21:04:39 UTC
Hello.

Could you please provide more information about the problem with
CURL_DLOPEN, so it can be fixed too?

Thanks and Best Regards,
Ale
Comment 4 dfilter service freebsd_committer 2008-01-29 04:11:01 UTC
alepulver    2008-01-29 04:10:56 UTC

  FreeBSD ports repository

  Modified files:
    games/iourbanterror  Makefile 
    games/iourbanterror/files patch-Makefile 
    games/worldofpadman  Makefile 
    games/worldofpadman/files patch-Makefile 
  Log:
  - Bump PORTREVISION.
  - Fix CURL option (flag wasn't passed to the build).
  - Fix CURL_DLOPEN option (was trying to open the wrong file, so remove version:
    libcurl.so.4 -> libcurl.so).
  
  The original PR was for games/iourbanterror, but also applies to
  games/worldofpadman.
  
  PR:             ports/119813
  Submitted by:   "Nerius Landys" <nlandys@gmail.com>
  
  Revision  Changes    Path
  1.14      +6 -1      ports/games/iourbanterror/Makefile
  1.8       +36 -17    ports/games/iourbanterror/files/patch-Makefile
  1.3       +8 -1      ports/games/worldofpadman/Makefile
  1.2       +37 -15    ports/games/worldofpadman/files/patch-Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alejandro Pulver freebsd_committer 2008-01-29 04:11:14 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!